TYPOS.Flow - Bug # 37292

Status: Under Review Priority: Should have

Author: Marc Neuhaus Category: Property

Created: 2012-05-18 Assigned To: Sebastian Kurfuerst
Updated: 2013-11-26 Due date:

PHP Version:

Has patch: Yes

Complexity:

Affected Flow version: Git 1.1

Subject: PropertyMappingConfiguration::mapUnknownProperties is not passed down to Subconfiguration

Description

if i set allowAllProperties on my PropertyMappingConfiguration it still can fail because the setting doesn't get passed down in line 152

from getConfigurationFor.

I've attached a patch to pass down this setting.

Related issues:
related to TYPOS3.Flow - Feature # 37436: PropertyMapper should allow settings...

blocks Foo.ContentManagement - Major Feature # 37293: Refactor Admin to work ...

Resolved 2012-05-23
New 2012-05-18

History

#1 - 2012-05-23 14:57 - Marc Neuhaus
- File PropertyMappingConfiguration.diff added

forgot to add the Patch :)

#2 - 2012-05-23 15:02 - Bastian Waidelich
- Category set to Property
- Assigned To set to Sebastian Kurfuerst

- Target version set to 1.1 beta 2

Sebastian, | assign this to you as you are more into that topic ;)

| had similar issues: especially when working with the Form framework it's really tedious to get the PropertyMappingConfiguration right.. There should

be some easy way to disable the pessimistic checks (as the form is secured by HMAC anyways) and/or to allow creation/modification & property

changes for nested elements

#3 - 2012-05-23 15:05 - Bastian Waidelich
- Target version changed from 1.1 beta2to 1.1

#4 - 2012-05-25 09:40 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 RC1

#5 - 2012-06-25 16:52 - Karsten Dambekalns

- Target version deleted (1.1 RC1)

- Affected Flow version changed from Git master to Git 1.1
#6 - 2013-11-26 20:21 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 5 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/17204

Files
PropertyMappingConfiguration.diff 599 Bytes 2012-05-23 Marc Neuhaus

2015-08-03 22


https://review.typo3.org/17204

